summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
Diffstat (limited to 'src')
-rwxr-xr-xsrc/cli/test_iban.sh8
1 files changed, 1 insertions, 7 deletions
diff --git a/src/cli/test_iban.sh b/src/cli/test_iban.sh
index cd0423b..f3f127e 100755
--- a/src/cli/test_iban.sh
+++ b/src/cli/test_iban.sh
@@ -17,7 +17,7 @@ function exit_fail() {
# Cleanup to run whenever we exit
function cleanup()
{
- if test $? != 0; then
+ if test $? != 0 -o $? != 77; then
echo "ERROR: see also nexus.log and sandbox.log"
fi
for n in `jobs -p`
@@ -312,8 +312,6 @@ then
fi
echo "OK"
-
-
echo -n "Running backup logic ...,"
anastasis-reducer -b > $B1FILE
echo -n "."
@@ -334,7 +332,6 @@ anastasis-reducer -a \
"birthdate": "2000-01-01"}}' \
enter_user_attributes < $B1FILE > $B2FILE 2>> test_reducer.err
echo -n ","
-
BASEIBAN=`echo $IBAN_DEBIT | gnunet-base32`
anastasis-reducer -a \
"$(jq -n '{ authentication_method: {
@@ -355,7 +352,6 @@ echo -n ","
anastasis-reducer \
next < $B2FILE > $B1FILE 2>> test_reducer.err
echo -n "."
-
# Note: 'secret' must here be a Crockford base32-encoded value
anastasis-reducer -a \
'{"secret": { "value" : "VERYHARDT0GVESSSECRET", "mime" : "text/plain" }}' \
@@ -373,8 +369,6 @@ fi
jq -r -e .core_secret < $B2FILE > /dev/null && exit_fail "'core_secret' was not cleared upon success"
echo " OK"
-
-
echo -n "Running recovery basic logic ..."
anastasis-reducer -r > $R1FILE
anastasis-reducer -a \